<?php
/**
 * Oct8ne
 *
 * @author      Oct8ne
 * @version     1.0.0
 */
class Oct8neResponseHelper
{
    /**
     * Crea la respuesta en el formato adecuado
     * @param $data
     */
    public static function buildResponse($data){
        if(isset($_GET["callback"]) && !empty($_GET["callback"])){
            header("HTTP/1.1 200 OK");
            header('Content-type: application/javascript; charset=utf-8');
            echo esc_js( $_GET['callback'] ) . "(" . wp_json_encode($data) . ");";
            exit;
        }else{
            wp_send_json($data);
        }
    }
}